Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

ambari 2.7.1 to 2.7.3 upgrade failed

Solved Go to solution
Highlighted

ambari 2.7.1 to 2.7.3 upgrade failed

New Contributor
When upgrading Ambari from 2.7.1 to 2.7.3, I get these messages with no mention of failure or success:
Preparing to unpack .../ambari-server_2.7.3.0-139_amd64.deb ...
Backing up Ambari properties: /etc/ambari-server/conf/ambari.properties -> /etc/ambari-server/conf/ambari.properties.rpmsave
Backing up Ambari properties: /var/lib/ambari-server/ambari-env.sh -> /var/lib/ambari-server/ambari-env.sh.rpmsave
Backing up JAAS login file: /etc/ambari-server/conf/krb5JAASLogin.conf -> /etc/ambari-server/conf/krb5JAASLogin.conf.rpmsave
Backing up stacks directory: /var/lib/ambari-server/resources/stacks -> /var/lib/ambari-server/resources/stacks_25_01_19_17_08.old
Backing up common-services directory: /var/lib/ambari-server/resources/common-services -> /var/lib/ambari-server/resources/common-services_25_01_19_17_08.old
Backing up mpacks directory: /var/lib/ambari-server/resources/mpacks -> /var/lib/ambari-server/resources/mpacks_25_01_19_17_08.old
Backing up Ambari view jars: /var/lib/ambari-server/resources/views/*.jar -> /var/lib/ambari-server/resources/views/backups/
Backing up Ambari server jar: /usr/lib/ambari-server/ambari-server-2.7.1.0.169.jar -> /usr/lib/ambari-server-backups/
Unpacking ambari-server (2.7.3.0-139) over (2.7.1.0-169) ...
insserv: warning: script 'K01hst' missing LSB tags and overrides
insserv: warning: script 'hst' missing LSB tags and overrides
grep: Invalid content of \{\}
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for systemd (229-4ubuntu21.15) ...
Setting up ambari-server (2.7.3.0-139) ...
insserv: warning: script 'K01hst' missing LSB tags and overrides
insserv: warning: script 'hst' missing LSB tags and overrides
grep: Invalid content of \{\}

and the subsequent "ambari-server upgrade" fails with this error:

Using python  /usr/bin/python
Upgrading ambari-server
INFO: Upgrade Ambari Server
INFO: Updating Ambari Server properties in ambari.properties ...
INFO: Updating Ambari Server properties in ambari-env.sh ...
INFO: Original file ambari-env.sh kept
WARNING: server.jdbc.database_name property isn't set in ambari.properties . Setting it to default value - ambari
INFO: Fixing database objects owner
ERROR: Unexpected AttributeError: 'NoneType' object has no attribute 'title'
For more info run ambari-server with -v or --verbose option

Any pointers/guidance to fix this is appreciated.

1 ACCEPTED SOLUTION

Accepted Solutions

Re: ambari 2.7.1 to 2.7.3 upgrade failed

Mentor

@Massoud Mazar

There is a problem with your ambari.properties server.jdbc.database_name entry see attached.


jdbc.png
2 REPLIES 2

Re: ambari 2.7.1 to 2.7.3 upgrade failed

Mentor

@Massoud Mazar

There is a problem with your ambari.properties server.jdbc.database_name entry see attached.


jdbc.png

Re: ambari 2.7.1 to 2.7.3 upgrade failed

New Contributor

Thanks Geoffrey. I copied the backup of the ambari.properties to expected location and ran the upgrade command again and it worked this time.

Don't have an account?
Coming from Hortonworks? Activate your account here